//---------------------------------------------------------------------------
//	sinku.dll wb_t@C
//	H쏊
//---------------------------------------------------------------------------
#ifndef sinkuH
#define sinkuH
//---------------------------------------------------------------------------
#define	VA_MAX_STREAM_COUNT	10
#define	EX_MAX_STREAM_COUNT	5

enum {
	//t@C`

	//G[n
	FILETYPE_ERROR = 0,

	FILETYPE_UNKNOWN,			//Ή̃t@C
	FILETYPE_OPENFAILED,		//t@C̃I[vɎs

	//G[nI
	FILETYPE_ERROR_END,

	//Đ\Ȍ`
	FILETYPE_MEDIA = 10,

	//fƉ`
	FILETYPE_VIDEO_AUDIO,
	FILETYPE_AVI,				//RIFF AVI
	FILETYPE_MPEG1,				//MPEG1
	FILETYPE_MPEG1VCD,			//MPEG1(VideoCD)
	FILETYPE_OGGMEDIA,			//ogg Media
	FILETYPE_MPEG2,				//MPEG2
	FILETYPE_MPEG2_TS,			//MPEG2-TS
	FILETYPE_WMV,				//WindowsMedia Video
	FILETYPE_REALMEDIA,			//RealMedia
	FILETYPE_QUICKTIME,			//QuickTime(ʂɎsMP4/3GPPn܂)
	FILETYPE_QUICKTIME_3GPP,	//3GPP(QuickTime)
	FILETYPE_QUICKTIME_3GPP2,	//3GPP2(QuickTime)
	FILETYPE_QUICKTIME_MPEG4,	//MPEG4(QuickTime)
	FILETYPE_QUICKTIME_AMC,		//WIN܂łau̓
	FILETYPE_MATROSKA,			//Matroska
	FILETYPE_FLASHVIDEO,		//FlashVideo

	//摜̌`(܂)
	FILETYPE_GRAPHIC = 50,

	FILETYPE_BMP,				//BMP
	FILETYPE_JPEG,				//JPEG/Exif
	FILETYPE_GIF,				//GIF

	//摜̌`I
	FILETYPE_GRAPHIC_END,

	//fƉ`I
	FILETYPE_VIDEO_AUDIO_END,

	//݂̂̌`
	FILETYPE_AUDIO = 100,

	FILETYPE_WAV,				//RIFF WAVE
	FILETYPE_MID,				//MIDI
	FILETYPE_RMI,				//RIFF MIDI
	FILETYPE_AU,				//Au
	FILETYPE_AIFF,				//AIFF
	FILETYPE_MP3,				//MP3(MPEG1`2.5 LayerI`III)
	FILETYPE_CDA,				//RIFF CDDA
	FILETYPE_RMP3,				//RIFF MP3
	FILETYPE_OGGVORBIS,			//ogg Vorbis
	FILETYPE_OGGSPEEX,			//ogg Speex
	FILETYPE_OGGFLAC,			//ogg Flac
	FILETYPE_WMA,				//WindowsMedia Audio
	FILETYPE_AC3,				//Dolby AC-3
	FILETYPE_MONKEY,			//Monkey's Audio
	FILETYPE_MUSEPACK,			//MusePack
	FILETYPE_FLAC,				//Flac
	FILETYPE_AAC,				//AAC(MPEG2/MPEG4)
	FILETYPE_REALAUDIO,			//RealMediaȑŐRealAudio
	FILETYPE_TTA,				//The True Audio
	FILETYPE_DTS14LE,			//DTS
	FILETYPE_DTS14BE,
	FILETYPE_DTS16LE,
	FILETYPE_DTS16BE,
	FILETYPE_WAVPACK,			//WavPack
	FILETYPE_OPTIMFROG,			//OptimFROG
	FILETYPE_VQ,				//TwinVQ

	//݂̂̌`I
	FILETYPE_AUDIO_END,

	//Đ\Ȍ`I
	FILETYPE_MEDIA_END,

	//ȉeXgp(F͂ĂȏtĂȂ)̌`
	FILETYPE_TEST = 200,

	FILETYPE_OPENMG_OMA,

	//eXgp̌`I
	FILETYPE_TEST_END,

	//vCXg
	FILETYPE_PLAYLIST = 300,

	PLAYLIST_SHDKL,
	PLAYLIST_PLS,
	PLAYLIST_LST,
	PLAYLIST_ZPL,
	PLAYLIST_BSL,
	PLAYLIST_M3U,

	//vCXgI
	FILETYPE_PLAYLIST_END,
};

typedef struct {
	char				name[512];							//IN     : t@C
	int					type;								//IN/OUT : t@C
	char				container[32];						//OUT    : Rei(ꍇ̂)
	char				error[512];							//OUT    : G[(ꍇ̂)
	char				video[VA_MAX_STREAM_COUNT][512];	//OUT    : f̏ڍ
	int					video_count;						//OUT    : f̏ڍׂ̐
	char				audio[VA_MAX_STREAM_COUNT][512];	//OUT    : ̏ڍ
	int					audio_count;						//OUT    : ̏ڍׂ̐
	char				extra[EX_MAX_STREAM_COUNT][512];	//OUT    : t(MPEG2-TSłgĂ܂)
	int					extra_count;						//OUT    : t̐
	double				playtime;							//OUT    : Đ(b)
	unsigned __int64	size;								//OUT    : t@CTCY
} FILE_INFO;

typedef struct
{
	HANDLE	hDLL;
	int		version;

	int		(__stdcall *GetDllVersion )( void );
	void	(__stdcall *SetPath )( char *path );
	void	(__stdcall *GetFileFormat )( FILE_INFO *pFILE_INFO );
	void	(__stdcall *GetFileInfo )( FILE_INFO *pFILE_INFO );
	void	(__stdcall *GetFileInfoAuto )( FILE_INFO *pFILE_INFO );
	void	(__stdcall *ConvertOne )( FILE_INFO *pFILE_INFO, char *str );
	void	(__stdcall *ConvertFull )( FILE_INFO *pFILE_INFO, char *str );
} SinkuFunc;

//---------------------------------------------------------------------------
#endif
